Skip to main content
POST
Deploy function

Authorizations

X-API-Key
string
header
required

Path Parameters

function_id
string<uuid>
required

Function identifier

Response

Deployment initiated successfully (processing in background)

Async deployment response (HTTP 202 Accepted). Deployment happens in the background and may take 10-60 seconds. Poll GET /functions/{id} to check when status changes from 'draft' to 'deployed' (or 'error' if deployment fails).

message
string
required

Deployment confirmation message

Example:

"Function deployment initiated"

function_id
string<uuid>
required

ID of the function being deployed

status
string
required

Deployment status indicator

Example:

"deploying"